<?php




namespace app\common\dao\store\product;

use app\common\dao\BaseDao;
use app\common\model\store\product\ProductTake;
use think\facade\Db;

class ProductTakeDao extends BaseDao
{

    protected function getModel(): string
    {
        return ProductTake::class;
    }

    public function changeStatus($id)
    {
        $this->getSearch(['product_id' => $id,'status' => 0])->update(['status' => 1]);
    }
}
